#ifndef WHITELISTMANAGER_H
#define WHITELISTMANAGER_H

#include <QObject>
#include <QJsonObject>

class WhiteListManager : public QObject
{
    Q_OBJECT
public:
    explicit WhiteListManager(QObject *parent = nullptr);

    bool addToWhiteList(const QString &desktopFile, const QString &option);
    bool removeFromWhiteList(const QString &desktopFile, const QString &option);
    bool isExists(const QString &desktopFile, const QString &option);
    QStringList whiteListsOfApp(const QString &desktopFile);

private:
    void initJsonFile();

private:
    const QString m_jsonFile;
    QJsonObject m_jsonObj;
    QJsonObject m_jsonObjTest;
    QStringList m_desktopList;
};

#endif // WHITELISTMANAGER_H
