#ifndef MEMORYMONITOR_H
#define MEMORYMONITOR_H

#include <QObject>
#include <QTimer>
class MemoryMonitor : public QObject
{
    Q_OBJECT
public:
    explicit MemoryMonitor(QObject *parent = nullptr);
    void startTime(int time);

signals:
    void lowMemoryWaining();

public slots:
    void getSystemInfo();

private:
    QTimer *m_timer;
    double m_memtotal;
    double m_memavailable;
    double m_available;
};

#endif // MEMORYMONITOR_H
