#ifndef MISC_H
#define MISC_H

#include <QObject>
#include <QJsonObject>

namespace utils {

class Misc : public QObject
{
    Q_OBJECT
public:
    explicit Misc(QObject *parent = nullptr);
    static bool ensurePathExists(const QString &path);
    static bool ensureFileExists(const QString &fileName);
    static QJsonObject readJsonFromFile(const QString &fileName);
    static void writeJsonFoFile(const QJsonObject &obj, const QString &fileName);
};

} // namespace utils


#endif // MISC_H
